<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net5.0</TargetFramework>
    <PublishReadyToRun>false</PublishReadyToRun>
    <TieredCompilation>false</TieredCompilation>
    <PublishTrimmed>false</PublishTrimmed>
    <!-- <TrimMode>link</TrimMode> -->
    <_ExtraTrimmerArgs>$(_ExtraTrimmerArgs) --verbose</_ExtraTrimmerArgs>
  </PropertyGroup>
  <!-- <Target Name="EnsureAllAssembliesAreLinked" BeforeTargets="PrepareForILLink">
    <ItemGroup>
      <ManagedAssemblyToLink>
        <TrimMode>link</TrimMode>
      </ManagedAssemblyToLink>
      <TrimmerRootAssembly Include="$(TargetName)" />
    </ItemGroup>
  </Target> -->
  <PropertyGroup>
    <ApplicationManifest>app.manifest</ApplicationManifest>
    <ApplicationIcon>Icon.ico</ApplicationIcon>
  </PropertyGroup>
  <ItemGroup>
    <None Remove="Icon.ico" />
    <None Remove="Icon.bmp" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Icon.ico" />
    <EmbeddedResource Include="Icon.bmp" />
  </ItemGroup>
  <ItemGroup>
    <MonoGameContentReference Include="Content\Content.mgcb" />
  </ItemGroup>
  <!-- <ItemGroup>
    <TrimmerRootAssembly Include="Microsoft.Xna.Framework.Content.ContentTypeReader" Visible="false" />
  </ItemGroup> -->
  <ItemGroup>
    <PackageReference Include="AsyncAwaitBestPractices" Version="5.0.2" />
    <PackageReference Include="MonoGame.Framework.DesktopGL" Version="3.8.0.1641" />
    <PackageReference Include="MonoGame.Content.Builder.Task" Version="3.8.0.1641" />
    <PackageReference Include="Microsoft.AspNetCore.SignalR.Client">
      <Version>5.0.0</Version>
    </PackageReference>
    <PackageReference Include="Myra" Version="1.0.3.213" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.3" />
    <PackageReference Include="polly" Version="7.2.1" />
    <PackageReference Include="polly.extensions.http" Version="3.0.0" />
    <PackageReference Include="Refit.HttpClientFactory" Version="5.2.1" />
    
  </ItemGroup>
  <ItemGroup>
  <Content Include="Content\**\*.xnb">
    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
  </Content>
</ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Sledgemapper.Shared\Sledgemapper.Shared.csproj" />
  </ItemGroup>
</Project>